(function ($) {
    if (Drupal.ajax != undefined) {
        Drupal.ajax.prototype.commands.node_compare_clear = function (ajax, response, status) {
            $('a.compare-toggle.remove')
                .html(response.text)
                .removeClass('remove')
                .addClass('add');
        }
    }

    Drupal.behaviors.node_compare = {
        attach: function (context, settings) {
            // Processing of a status messages returned by ajax-request.
            $('div.compare-messages-ajax')
                .css("left", ($(window).width() - $('div.compare-messages-ajax').outerWidth()) / 2 + $(window).scrollLeft() + "px")
                .delay(2000)
                .fadeOut(1000);

            var itemsBlock = $('#node-compare-block-content');
            var itemsBlockContent = $('#node-compare-items');
            // Hiding empty block with nodes for comparison.
            if ($.trim(itemsBlockContent.text()) == "") {
                itemsBlock.addClass('empty');
            } else {
                itemsBlock.removeClass('empty');
            }

            var compTable = $('table.comparison-table');
            if (compTable.length) {
                $('#compare-view-mode-box').show();
                $('#compare-only-diff').change(function () {
                    if ($(this).is(':checked')) {
                        $.each($('tr.compare-field-row'), function () {
                            var flag = $(this).find('td').eq(1).html();
                            var diff = false;
                            $.each($(this).find('td'), function () {
                                if (!$(this).hasClass('compare-field-label')) {
                                    if (flag != $(this).html()) {
                                        diff = true;
                                        return false;
                                    }
                                }
                            });
                            if (diff == false)
                                $(this).addClass('compare-hidden');
                        });
                    } else {
                        $('tr.compare-hidden').removeClass('compare-hidden');
                    }

                });

                if ((itemsCount = $('th.item-title').length) > 2) {
                    compTable.find('th').each(function () {
                        $(this).width($(this).width());
                    });
                    compTable.width('auto');
                    var delCol = $('<a />', {
                        href: '#',
                        class: 'remove-col',
                        text: Drupal.t('remove (x)'),
                        title: Drupal.t('Remove from the table'),
                        click: function (e) {
                            e.preventDefault();
                            var index = $(this).parent('th').index();
                            $('table.comparison-table, table.sticky-header').find('tr').each(function () {
                                this.removeChild(this.cells[index]);
                            });
                            if (--itemsCount <= 1) {
                                $('a.remove-col').remove();
                                $('#compare-view-mode-box').hide();
                            }
                        }
                    });
                    $('th.item-title').each(function () {
                        $(this).prepend(delCol.clone(true));
                    });
                }
            }
        }
    }
})(jQuery);
